/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_QUEUE_H
#define OCARINA_GUI_QUEUE_H

#include <core/queue.h>

struct gui_queue {
	struct queue *gq_queue;
};


/* Called to allocate a new struct gui_queue. */
void *gui_queue_alloc(struct queue *);

/* Called to free a struct gui_queue. */
void gui_queue_free(struct queue *);

/* Called to access a the struct gui_queue attached to a queue. */
static inline struct gui_queue *gui_queue(struct queue *queue)
{
	return queue->q_private;
}

#endif /* OCARINA_GUI_QUEUE_H */
